Communication Services - Update
Operatie om een bestaande CommunicationService te updaten.
PATCH https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Communication/communicationServices/{communicationServiceName}?api-version=2026-03-18
URI-parameters
| Name | In | Vereist | Type | Description |
|---|---|---|---|---|
|
communication
|
path | True |
string minLength: 1maxLength: 63 pattern: ^[-\w]+$ |
De naam van de CommunicationService-resource. |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
De naam van de resourcegroep. De naam is hoofdletterongevoelig. |
|
subscription
|
path | True |
string (uuid) |
De id van het doelabonnement. De waarde moet een UUID zijn. |
|
api-version
|
query | True |
string minLength: 1 |
De API-versie die voor deze bewerking moet worden gebruikt. |
Aanvraagbody
| Name | Type | Description |
|---|---|---|
| identity |
Beheerde service-identiteit (door het systeem toegewezen en/of door de gebruiker toegewezen identiteiten) |
|
| properties.disableLocalAuth |
boolean |
Schakel lokale verificatie uit voor de CommunicationService. |
| properties.linkedDomains |
string[] |
Lijst met resource-id's van e-maildomein. |
| properties.publicNetworkAccess |
Sta de configuratie van de netwerkbeveiligingsperimeter toe, verbied of laat de openbare netwerktoegang tot de beveiligde bron beheren. De waarde is optioneel, maar als deze wordt doorgegeven, moet deze 'Ingeschakeld', 'Uitgeschakeld' of 'SecuredByPerimeter' zijn. |
|
| tags |
object |
Tags van de service, een lijst met sleutel-waardeparen die de resource beschrijven. |
Antwoorden
| Name | Type | Description |
|---|---|---|
| 200 OK |
Azure-operatie succesvol voltooid. |
|
| Other Status Codes |
Een onverwachte foutreactie. |
Beveiliging
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Stroom:
implicit
Autorisatie-URL:
https://login.microsoftonline.com/common/oauth2/authorize
Bereiken
| Name | Description |
|---|---|
| user_impersonation | Uw gebruikersaccount imiteren |
Voorbeelden
Update resource
Voorbeeldaanvraag
PATCH https://management.azure.com/subscriptions/11112222-3333-4444-5555-666677778888/resourceGroups/MyResourceGroup/providers/Microsoft.Communication/communicationServices/MyCommunicationResource?api-version=2026-03-18
{
"tags": {
"newTag": "newVal"
}
}
Voorbeeldrespons
{
"name": "MyCommunicationResource",
"type": "Microsoft.Communication/CommunicationServices",
"id": "/subscriptions/11112222-3333-4444-5555-666677778888/resourceGroups/MyResourceGroup/providers/Microsoft.Communication/CommunicationServices/MyCommunicationResource",
"identity": {
"type": "None"
},
"location": "Global",
"properties": {
"dataLocation": "United States",
"hostName": "mycommunicationresource.communications.azure.com",
"provisioningState": "Succeeded",
"version": "0.2.0"
},
"tags": {
"newTag": "newVal"
}
}
Update resource to add a System Assigned managed identity
Voorbeeldaanvraag
PATCH https://management.azure.com/subscriptions/11112222-3333-4444-5555-666677778888/resourceGroups/MyResourceGroup/providers/Microsoft.Communication/communicationServices/MyCommunicationResource?api-version=2026-03-18
{
"identity": {
"type": "SystemAssigned"
},
"tags": {
"newTag": "newVal"
}
}
Voorbeeldrespons
{
"name": "MyCommunicationResource",
"type": "Microsoft.Communication/CommunicationServices",
"id": "/subscriptions/11112222-3333-4444-5555-666677778888/resourceGroups/MyResourceGroup/providers/Microsoft.Communication/CommunicationServices/MyCommunicationResource",
"identity": {
"type": "SystemAssigned",
"principalId": "11111111-1111-1111-1111-111111111111",
"tenantId": "22222222-2222-2222-2222-222222222222"
},
"location": "Global",
"properties": {
"dataLocation": "United States",
"hostName": "mycommunicationresource.communications.azure.com",
"provisioningState": "Succeeded",
"version": "0.2.0"
},
"tags": {
"newTag": "newVal"
}
}
Update resource to add a User Assigned managed identity
Voorbeeldaanvraag
PATCH https://management.azure.com/subscriptions/11112222-3333-4444-5555-666677778888/resourceGroups/MyResourceGroup/providers/Microsoft.Communication/communicationServices/MyCommunicationResource?api-version=2026-03-18
{
"identity": {
"type": "UserAssigned",
"userAssignedIdentities": {
"/user/assigned/resource/id": {}
}
},
"tags": {
"newTag": "newVal"
}
}
Voorbeeldrespons
{
"name": "MyCommunicationResource",
"type": "Microsoft.Communication/CommunicationServices",
"id": "/subscriptions/11112222-3333-4444-5555-666677778888/resourceGroups/MyResourceGroup/providers/Microsoft.Communication/CommunicationServices/MyCommunicationResource",
"identity": {
"type": "UserAssigned",
"userAssignedIdentities": {
"/user/assigned/resource/id": {
"clientId": "11112222-3333-4444-5555-666677778888",
"principalId": "11112222-3333-4444-5555-666677778888"
}
}
},
"location": "Global",
"properties": {
"dataLocation": "United States",
"hostName": "mycommunicationresource.communications.azure.com",
"provisioningState": "Succeeded",
"version": "0.2.0"
},
"tags": {
"newTag": "newVal"
}
}
Update resource to add DisableLocalAuth
Voorbeeldaanvraag
PATCH https://management.azure.com/subscriptions/11112222-3333-4444-5555-666677778888/resourceGroups/MyResourceGroup/providers/Microsoft.Communication/communicationServices/MyCommunicationResource?api-version=2026-03-18
{
"properties": {
"disableLocalAuth": true
},
"tags": {
"newTag": "newVal"
}
}
Voorbeeldrespons
{
"name": "MyCommunicationResource",
"type": "Microsoft.Communication/CommunicationServices",
"id": "/subscriptions/11112222-3333-4444-5555-666677778888/resourceGroups/MyResourceGroup/providers/Microsoft.Communication/CommunicationServices/MyCommunicationResource",
"location": "Global",
"properties": {
"dataLocation": "United States",
"disableLocalAuth": true,
"hostName": "mycommunicationresource.communications.azure.com",
"provisioningState": "Succeeded",
"version": "0.2.0"
},
"tags": {
"newTag": "newVal"
}
}
Update resource to add PublicNetworkAccess
Voorbeeldaanvraag
PATCH https://management.azure.com/subscriptions/11112222-3333-4444-5555-666677778888/resourceGroups/MyResourceGroup/providers/Microsoft.Communication/communicationServices/MyCommunicationResource?api-version=2026-03-18
{
"properties": {
"publicNetworkAccess": "Enabled"
},
"tags": {
"newTag": "newVal"
}
}
Voorbeeldrespons
{
"name": "MyCommunicationResource",
"type": "Microsoft.Communication/CommunicationServices",
"id": "/subscriptions/11112222-3333-4444-5555-666677778888/resourceGroups/MyResourceGroup/providers/Microsoft.Communication/CommunicationServices/MyCommunicationResource",
"location": "Global",
"properties": {
"dataLocation": "United States",
"hostName": "mycommunicationresource.communications.azure.com",
"provisioningState": "Succeeded",
"publicNetworkAccess": "Enabled",
"version": "0.2.0"
},
"tags": {
"newTag": "newVal"
}
}
Update resource to add System and User managed identities
Voorbeeldaanvraag
PATCH https://management.azure.com/subscriptions/11112222-3333-4444-5555-666677778888/resourceGroups/MyResourceGroup/providers/Microsoft.Communication/communicationServices/MyCommunicationResource?api-version=2026-03-18
{
"identity": {
"type": "SystemAssigned,UserAssigned",
"userAssignedIdentities": {
"/user/assigned/resource/id": {}
}
},
"tags": {
"newTag": "newVal"
}
}
Voorbeeldrespons
{
"name": "MyCommunicationResource",
"type": "Microsoft.Communication/CommunicationServices",
"id": "/subscriptions/11112222-3333-4444-5555-666677778888/resourceGroups/MyResourceGroup/providers/Microsoft.Communication/CommunicationServices/MyCommunicationResource",
"identity": {
"type": "SystemAssigned,UserAssigned",
"principalId": "11111111-1111-1111-1111-111111111111",
"tenantId": "22222222-2222-2222-2222-222222222222",
"userAssignedIdentities": {
"/user/assigned/resource/id": {
"clientId": "11112222-3333-4444-5555-666677778888",
"principalId": "11112222-3333-4444-5555-666677778888"
}
}
},
"location": "Global",
"properties": {
"dataLocation": "United States",
"hostName": "mycommunicationresource.communications.azure.com",
"provisioningState": "Succeeded",
"version": "0.2.0"
},
"tags": {
"newTag": "newVal"
}
}
Update resource to remove identity
Voorbeeldaanvraag
PATCH https://management.azure.com/subscriptions/11112222-3333-4444-5555-666677778888/resourceGroups/MyResourceGroup/providers/Microsoft.Communication/communicationServices/MyCommunicationResource?api-version=2026-03-18
{
"identity": {
"type": "None"
},
"tags": {
"newTag": "newVal"
}
}
Voorbeeldrespons
{
"name": "MyCommunicationResource",
"type": "Microsoft.Communication/CommunicationServices",
"id": "/subscriptions/11112222-3333-4444-5555-666677778888/resourceGroups/MyResourceGroup/providers/Microsoft.Communication/CommunicationServices/MyCommunicationResource",
"location": "Global",
"properties": {
"dataLocation": "United States",
"hostName": "mycommunicationresource.communication.azure.com",
"provisioningState": "Succeeded"
},
"tags": {
"newTag": "newVal"
}
}
Definities
| Name | Description |
|---|---|
|
Communication |
Een klasse die een CommunicationService-bron vertegenwoordigt. |
|
Communication |
Een klasse die updateparameters voor CommunicationService-resource vertegenwoordigt. |
|
Communication |
Inrichtingsstatus van de resource. |
|
created |
Het type identiteit waarmee de resource is gemaakt. |
|
Error |
Aanvullende informatie over de resourcebeheerfout. |
|
Error |
De foutdetails. |
|
Error |
Foutreactie |
|
Managed |
Beheerde service-identiteit (door het systeem toegewezen en/of door de gebruiker toegewezen identiteiten) |
|
Managed |
Type beheerde service-identiteit (waarbij zowel SystemAssigned- als UserAssigned-typen zijn toegestaan). |
|
Public |
Sta de configuratie van de netwerkbeveiligingsperimeter toe, verbied of laat de openbare netwerktoegang tot de beveiligde bron beheren. De waarde is optioneel, maar als deze wordt doorgegeven, moet deze 'Ingeschakeld', 'Uitgeschakeld' of 'SecuredByPerimeter' zijn. |
|
system |
Metagegevens met betrekking tot het maken en de laatste wijziging van de resource. |
|
User |
Door de gebruiker toegewezen identiteitseigenschappen |
CommunicationServiceResource
Een klasse die een CommunicationService-bron vertegenwoordigt.
| Name | Type | Description |
|---|---|---|
| id |
string (arm-id) |
Volledig gekwalificeerde resource-id voor de resource. Bijvoorbeeld /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceType}/{resourceName}" |
| identity |
De beheerde service-identiteiten die zijn toegewezen aan deze resource. |
|
| location |
string |
De geografische locatie waar de resource zich bevindt |
| name |
string |
De naam van de resource |
| properties.dataLocation |
string |
De locatie waar de communicatieservice de data-at-rest opslaat. |
| properties.disableLocalAuth |
boolean |
Schakel lokale verificatie uit voor de CommunicationService. |
| properties.hostName |
string |
FQDN van de CommunicationService-instantie. |
| properties.immutableResourceId |
string |
De onveranderlijke resource-ID van de communicatiedienst. |
| properties.linkedDomains |
string[] |
Lijst met resource-id's van e-maildomein. |
| properties.notificationHubId |
string |
Resource ID van een Azure Notification Hub gekoppeld aan deze bron. |
| properties.provisioningState |
Inrichtingsstatus van de resource. |
|
| properties.publicNetworkAccess |
Sta de configuratie van de netwerkbeveiligingsperimeter toe, verbied of laat de openbare netwerktoegang tot de beveiligde bron beheren. De waarde is optioneel, maar als deze wordt doorgegeven, moet deze 'Ingeschakeld', 'Uitgeschakeld' of 'SecuredByPerimeter' zijn. |
|
| properties.version |
string |
Versie van de CommunicationService-bron. Waarschijnlijk hebt u dezelfde of hogere versie van client-SDK's nodig. |
| systemData |
Azure Resource Manager-metagegevens met createdBy- en modifiedBy-gegevens. |
|
| tags |
object |
Resourcetags. |
| type |
string |
Het type bron. Bijvoorbeeld 'Microsoft.Compute/virtualMachines' of 'Microsoft.Storage/storageAccounts' |
CommunicationServiceResourceUpdate
Een klasse die updateparameters voor CommunicationService-resource vertegenwoordigt.
| Name | Type | Description |
|---|---|---|
| identity |
Beheerde service-identiteit (door het systeem toegewezen en/of door de gebruiker toegewezen identiteiten) |
|
| properties.disableLocalAuth |
boolean |
Schakel lokale verificatie uit voor de CommunicationService. |
| properties.linkedDomains |
string[] |
Lijst met resource-id's van e-maildomein. |
| properties.publicNetworkAccess |
Sta de configuratie van de netwerkbeveiligingsperimeter toe, verbied of laat de openbare netwerktoegang tot de beveiligde bron beheren. De waarde is optioneel, maar als deze wordt doorgegeven, moet deze 'Ingeschakeld', 'Uitgeschakeld' of 'SecuredByPerimeter' zijn. |
|
| tags |
object |
Tags van de service, een lijst met sleutel-waardeparen die de resource beschrijven. |
CommunicationServices_ProvisioningState
Inrichtingsstatus van de resource.
| Waarde | Description |
|---|---|
| Unknown |
Onbekend |
| Succeeded |
Geslaagd |
| Failed |
Mislukt |
| Canceled |
Geannuleerd |
| Running |
Hardlopen |
| Creating |
Creëren |
| Updating |
Bijwerken |
| Deleting |
Verwijderen |
| Moving |
Ontroerend |
createdByType
Het type identiteit waarmee de resource is gemaakt.
| Waarde | Description |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
ErrorAdditionalInfo
Aanvullende informatie over de resourcebeheerfout.
| Name | Type | Description |
|---|---|---|
| info |
object |
De aanvullende informatie. |
| type |
string |
Het extra informatietype. |
ErrorDetail
De foutdetails.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
De fout bevat aanvullende informatie. |
|
| code |
string |
De foutcode. |
| details |
De foutdetails. |
|
| message |
string |
Het foutbericht. |
| target |
string |
Het foutdoel. |
ErrorResponse
Foutreactie
| Name | Type | Description |
|---|---|---|
| error |
Het foutobject. |
ManagedServiceIdentity
Beheerde service-identiteit (door het systeem toegewezen en/of door de gebruiker toegewezen identiteiten)
| Name | Type | Description |
|---|---|---|
| principalId |
string (uuid) |
De service-principal-id van de door het systeem toegewezen identiteit. Deze eigenschap wordt alleen verstrekt voor een door het systeem toegewezen identiteit. |
| tenantId |
string (uuid) |
De tenant-id van de door het systeem toegewezen identiteit. Deze eigenschap wordt alleen verstrekt voor een door het systeem toegewezen identiteit. |
| type |
Type beheerde service-identiteit (waarbij zowel SystemAssigned- als UserAssigned-typen zijn toegestaan). |
|
| userAssignedIdentities |
<string,
User |
De set door de gebruiker toegewezen identiteiten die aan de resource zijn gekoppeld. De woordenlijstsleutels userAssignedIdentities zijn ARM-resource-id's in de vorm: /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ManagedIdentity/userAssignedIdentities/{identityName}. De waarden van de woordenlijst kunnen lege objecten ({}) zijn in aanvragen. |
ManagedServiceIdentityType
Type beheerde service-identiteit (waarbij zowel SystemAssigned- als UserAssigned-typen zijn toegestaan).
| Waarde | Description |
|---|---|
| None | |
| SystemAssigned | |
| UserAssigned | |
| SystemAssigned,UserAssigned |
PublicNetworkAccess
Sta de configuratie van de netwerkbeveiligingsperimeter toe, verbied of laat de openbare netwerktoegang tot de beveiligde bron beheren. De waarde is optioneel, maar als deze wordt doorgegeven, moet deze 'Ingeschakeld', 'Uitgeschakeld' of 'SecuredByPerimeter' zijn.
| Waarde | Description |
|---|---|
| Enabled |
Staat openbare netwerk-access tot de bron toe |
| Disabled |
Staat publieke netwerk access naar de bron niet toe |
| SecuredByPerimeter |
De regels voor de netwerkbeveiligingsperimeter staan wel of niet openbare netwerk access naar de bron toe. Vereist een bijbehorende netwerkbeveiligingsperimeter. |
systemData
Metagegevens met betrekking tot het maken en de laatste wijziging van de resource.
| Name | Type | Description |
|---|---|---|
| createdAt |
string (date-time) |
De tijdstempel van het maken van resources (UTC). |
| createdBy |
string |
De identiteit waarmee de resource is gemaakt. |
| createdByType |
Het type identiteit waarmee de resource is gemaakt. |
|
| lastModifiedAt |
string (date-time) |
De tijdstempel van de laatste wijziging van de resource (UTC) |
| lastModifiedBy |
string |
De identiteit die de resource voor het laatst heeft gewijzigd. |
| lastModifiedByType |
Het type identiteit dat de resource voor het laatst heeft gewijzigd. |
UserAssignedIdentity
Door de gebruiker toegewezen identiteitseigenschappen
| Name | Type | Description |
|---|---|---|
| clientId |
string (uuid) |
De client-id van de toegewezen identiteit. |
| principalId |
string (uuid) |
De principal-id van de toegewezen identiteit. |